## upterm

Secure Terminal Sharing

### Synopsis

Upterm is an open-source solution for sharing terminal sessions instantly with the public internet over secure tunnels.

### Examples

```
  # Host a terminal session that runs $SHELL with
  # client's input/output attaching to the host's
  $ upterm host

  # Display the ssh connection string and share it with
  # the client(s)
  $ upterm session current
  === SESSION_ID
  Command:                /bin/bash
  Force Command:          n/a
  Host:                   ssh://uptermd.upterm.dev:22
  SSH Session:            ssh TOKEN@uptermd.upterm.dev

  # A client connects to the host session with ssh
  $ ssh TOKEN@uptermd.upterm.dev
```

### Options

```
  -h, --help   help for upterm
```

### SEE ALSO

* [upterm host](upterm_host.md)	 - Host a terminal session
* [upterm proxy](upterm_proxy.md)	 - Proxy a terminal session over WebSocket
* [upterm session](upterm_session.md)	 - Display session
* [upterm upgrade](upterm_upgrade.md)	 - Upgrade the CLI
* [upterm version](upterm_version.md)	 - Show version

###### Auto generated by spf13/cobra on 3-Dec-2022
